Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Interface MouseTrackListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  MouseTrackAdapter

public interface MouseTrackListener
extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated as the mouse pointer passes (or hovers) over controls.

After creating an instance of a class that implements this interface it can be added to a control using the `addMouseTrackListener` method and removed using the `removeMouseTrackListener` method. When the mouse pointer passes into or out of the area of the screen covered by a control or pauses while over a control, the appropriate method will be invoked.

See Also:
  `MouseTrackAdapter`, `MouseEvent`

Method Summary
`void` | `mouseEnter(MouseEvent e)` Sent when the mouse pointer passes into the area of the screen covered by a control.
`void` | `mouseExit(MouseEvent e)` Sent when the mouse pointer passes out of the area of the screen covered by a control.
`void` | `mouseHover(MouseEvent e)` Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.

Method Detail

### mouseEnter

    public void mouseEnter(MouseEvent e)

  Sent when the mouse pointer passes into the area of the screen covered by a control.

  Parameters:
    `e` - an event containing information about the mouse enter

### mouseExit

    public void mouseExit(MouseEvent e)

  Sent when the mouse pointer passes out of the area of the screen covered by a control.

  Parameters:
    `e` - an event containing information about the mouse exit

### mouseHover

    public void mouseHover(MouseEvent e)

  Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.

  Parameters:
    `e` - an event containing information about the hover

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.